package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.Query;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Order;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.PtovtaAntecipacomissaoDAO;
import com.rjconsultores.ventaboletos.entidad.PtovtaAntecipacomissao;

@Repository("ptovtaAntecipacomissaoDAO")
public class PtovtaAntecipacomissaoHibernateDAO extends GenericHibernateDAO<PtovtaAntecipacomissao, Integer>
	implements PtovtaAntecipacomissaoDAO {

    @Autowired
    public PtovtaAntecipacomissaoHibernateDAO(
            @Qualifier("sessionFactory") SessionFactory factory) {
        setSessionFactory(factory);
    }

    @Override
    public List<PtovtaAntecipacomissao> obtenerTodos() {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
        c.addOrder(Order.asc("id"));
        
        return c.list();
    }

    public List<PtovtaAntecipacomissao> buscar(int id) {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
        c.add(Restrictions.eq("id", id));
        

        return c.list();
    }

   
}

